## net.sourceforge.pmd.ast
Class ASTAssignmentOperator

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.ASTAssignmentOperator

All Implemented Interfaces:
  JavaNode, Node

public class ASTAssignmentOperator
extends SimpleJavaNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTAssignmentOperator(int id)`
`ASTAssignmentOperator(JavaParser p, int id)`

Method Summary
`void` `dump(java.lang.String prefix)`
`boolean` `isCompound()`
`java.lang.Object` `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` `setCompound()`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode

`appendElement, asXml, containsChildOfType, discardIfNecessary, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTAssignmentOperator

    public ASTAssignmentOperator(int id)

### ASTAssignmentOperator

    public ASTAssignmentOperator(JavaParser p,
                                 int id)

Method Detail

### setCompound

    public void setCompound()

### isCompound

    public boolean isCompound()

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### dump

    public void dump(java.lang.String prefix)

  Overrides:
    `dump` in class `SimpleNode`

Copyright © 2002-2006 InfoEther. All Rights Reserved.